<template>
  <div class="option-card">
    <label class="option-data" style="width: 100%">
      <input type="text" v-model="option.name" style="width: 60%; min-width: 300px" placeholder="Название опции">
      <br/>
      <textarea v-model="option.description" style="width: 60%; min-width: 300px" placeholder="Описание опции (необязательно)"/>
    </label>
    <label class="price">
      <VueNumericInput title="Цена за один билет" v-model="option.price" size="6em" :min="1" :max="1000000" :controls="false" :precision="2" placeholder="Цена за один билет"/>
    </label>
    <label class="option-controls" style="display: flex; flex-direction: column; align-items: center; justify-content: center">
      <VueNumericInput title="Количество билетов" v-model="option.capacity" size="6em" :min="0" :max="1000000000" :controls="false" placeholder="Количество билетов"/>
      <button @click="submit">Создать</button>
    </label>
  </div>
</template>

<script>
  import VueNumericInput from 'vue-numeric-input';
  import axios from 'axios';
  import '../EventOptionListItem.css';
  export default {
    name: "EventOptionCreator",
    props: ['event_id'],
    components: {
      VueNumericInput
    },
    data() {
      return {
        option: null
      }
    },
    created () {
      this.clear();
    },
    methods: {
      clear() {
        this.option = {
          name: null,
          description: null,
          capacity: 1000,
          price: 1000.0
        }
      },
      submit() {
        let hostname = this.$hostname;
        axios.post(`${hostname}/api/event/${this.event_id}/option/`, this.option).then((response) => {
          console.log(response);
          this.$emit('eventOptionAdded', this.event_id, response.data);
          this.clear();
        }).catch((error) => {
          console.error(error);
        })
      }
    }
  }
</script>

<style scoped>
.form-container {
}
</style>
